cURL
curl --request DELETE \
--url https://us.infisical.com/api/v2/workspace/{projectId}/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v2/workspace/{projectId}/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v2/workspace/{projectId}/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groupMembership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
Delete Project Membership
Remove group from project
DELETE
/
api
/
v2
/
workspace
/
{projectId}
/
groups
/
{groupId}
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project to delete the group from.
The ID of the group to delete from the project.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I